Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Angelo Graziosi <[email-masked]>
Date: Tue, 25 Jun 2013 01:50:18 +0200

Il 24/06/2013 23.05, Paul Eggert ha scritto:
> On 06/24/2013 10:50 AM, Angelo Graziosi wrote:
>> I would say: No.
>
> Ouch.  As it happens I didn't successfully mark the
> bug as "done", as I thought, so it's still live.
>
> Please try commenting out this line in src/process.c.
>
>      g_source_unref (source);
>
> And if that doesn't work, please try commenting out
> the previous line as well:
>
>      GSource *source = g_child_watch_source_new (getpid ());
>

Only after applying this 2nd solution, i.e. the patch

$ cat process.c.patch
--- emacs-trunk/src/process.c	2013-06-24 12:28:49.562500000 +0200
+++ emacs/src/process.c	2013-06-25 01:11:52.890625000 +0200
@@ -7085,8 +7085,8 @@
       Do this here, rather than early in Emacs initialization where it
       might make more sense, to try to avoid bugs in Cygwin glib 
(Bug#14569).  */
    {
-    GSource *source = g_child_watch_source_new (getpid ());
-    g_source_unref (source);
+    /*GSource *source = g_child_watch_source_new (getpid ());
+      g_source_unref (source);*/
    }
  #endif

the bootstrap completed *without* errors! (With just the first, the same 
errors shows up in the build log...)

My suggestion is to wait few days before declaring this bug FIXED, so 
that we can do more tests.

Anyway, as you prefer.

Ciao... oops, Good Night,
  Angelo.